XtAppAddActionHook(3Xt)

NAME
XtAppAddActionHook, XtRemoveActionHook - register an action hook procedure

SYNTAX
XtActionHookId XtAppAddActionHook(app_context, proc, client_data)
      XtAppContext app_context;
      XtActionHookProc proc;
      XtPointer client_data;

void XtRemoveActionHook(id)
      XtActionHookId id;

ARGUMENTS

app_context
    Specifies the application context.

proc
    Specifies the action hook procedure.

num_args
    Specifies the application-specific data to be passed to the action hook.

DESCRIPTION
adds the specified procedure to the front of a list maintained in the application context. In the future, when an action routine is about to be invoked for any widget in this application context, either through the translation manager or via the action hohok procedures will be called in reverse order of registration jut prior to invoking the action routine.

Action hook procedures are removed automatically and the s destroyed when the application context in which they were added is destroyed.

removes the specified action hook procedure from the list in which it was registered.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface